Package org.postgresql.hostchooser

# Enum HostStatus

java.lang.Object
java.lang.Enum<HostStatus>
org.postgresql.hostchooser.HostStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<HostStatus>`, `java.lang.constant.Constable`

public enum HostStatus extends Enum<HostStatus>
Known state of a server.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ConnectFail`
`ConnectOK`
`Primary`
`Secondary`

## Method Summary

Modifier and Type
Method
Description
`static HostStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HostStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ConnectFail

public static final HostStatus ConnectFail

### ConnectOK

public static final HostStatus ConnectOK

### Primary

public static final HostStatus Primary

### Secondary

public static final HostStatus Secondary

## Method Details

### values

public static HostStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HostStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null